<?php use_helper('Object', 'I18N', 'Validation', 'tvtl', 'ModalBox') ?>
<?php use_javascript('/js/avim.js');?>

<?php echo mm_form_tag('user/register', array('class'=>'mainform', 'id'=>'mainform')) ?>
<div class="form registerform">
  <div class="content">
    <div>Quý vị hãy tự đề xuất <font color="#0000CC">tên truy nhập</font> và <font color="#0000CC">mật khẩu</font> cho mình, rồi điền đầy đủ các thông tin cá nhân vào bảng dưới đây.</div>
    <div class="fieldset">
      <?php $options = array('style'=>'width:180px') ?>
      <?php echo gridTable(array(array(3, 9),
        array(  label_for('us_username', __('Username').'*'),
                form_error('us_username').
                input_tag('us_username', $sf_request->getParameter('us_username'), $options).
                '<font color="Gray"> (ví dụ: hongvan72)</font>'
        ),
        array(  label_for('us_password', __('Password').'*'),
                form_error('us_password').
                input_password_tag('us_password', $sf_request->getParameter('us_password'), $options).
                '<font color="Gray"> (dễ nhớ và ít nhất 6 ký tự)</font>'
        ),
        array(  label_for('password2', __('ReEnter Password').'*'),
                form_error('password2').
                input_password_tag('password2',  $sf_request->getParameter('password2'), $options).
                '<font color="Gray"> (gõ lại để tránh nhầm lẫn)</font>'
        ),
        array(  label_for('us_fullname', __('Full name').'*'),
                form_error('us_fullname').
                input_tag('us_fullname', $sf_request->getParameter('us_fullname'), $options)
        ),
        array(  label_for('us_gender', __('Sex').'*'),
                radiobutton_tag('us_sex', 1) . label_for('us_sex', __('Male')) .
                radiobutton_tag('us_sex', 2) . label_for('us_sex', __('Female'))
        ),
        array(  label_for('us_email', __('Email').'*'),
                form_error('us_email').
                input_tag('us_email', $sf_request->getParameter('us_email'), $options).
                '<font color="Gray"> (ví dụ: nhvan72@yahoo.com)</font>'
        ),
        array(  label_for('us_phone', __('Điện thoại')),
                form_error('us_phone').
                input_tag('us_phone', $sf_request->getParameter('us_phone'), $options).
                '<font color="Gray"> (ví dụ: 0912345678)</font>'
        ),
        array(  label_for('us_school', __('School')),
                form_error('us_school').
                input_tag('us_school', $sf_request->getParameter('us_school'), $options).
                '<font color="Gray"> (ví dụ: Trường THCS Lê Lợi)</font>'
        ),
        array(  label_for('us_province', __('Province')),
                form_error('us_province').
                input_tag('us_province', $sf_request->getParameter('us_province'), $options)
        ),
        array(  '&nbsp',
                form_error('us_term').
                checkbox_tag('us_term', 1, false).label_for('us_temr', 'Chấp nhận ').' '.link_to('điều khoản sử dụng', 'user/term', array('target'=>'_blank'))
        ),
        array(  '&nbsp;', m_submit_tag(__('Register'), array('style'=>'width:90px'))
        )
      )); ?>
    </div>
  </div>
  <div>
    <b>Chú ý:</b>
    <ol>
      <li>Quý vị phải ghi nhớ tên truy nhập và mật khẩu để có thể đăng nhập về sau.</li>
      <li>Sau khi đăng ký, để có đủ <b>100 điểm</b> ban đầu, quý vị phải kích hoạt tài khoản bằng cách:
      <ul>
        <li>Kiểm tra email xác nhận gửi về, rồi click vào đường link trong đó (miễn phí)</li>
        <li>Dùng số điện thoại đã đăng ký, nhắn tin <?php echo sfConfig::get('app_activate_sms') ?> tới số <?php echo sfConfig::get('app_sms_number') ?> (chỉ <?php echo sfConfig::get('app_sms_price') ?>)</li>
      </ul>
      <?php if ($sf_request->hasError('us_email')) : ?>
      <li>Nếu có thông báo lỗi "Email này đã được đăng ký" mà đó đúng là email của quý vị thì chứng tỏ quý vị đã đăng ký thành viên rồi.
      Khi đó nếu vẫn nhớ tên truy nhập và mật khẩu, hãy <?php echo mm_link_to('nhấn vào đây để đăng nhập','user/login')?>,
      còn không hãy <?php echo mm_link_to('nhấn vào đây để lấy lại thông tin', 'user/forgotpass')?>.</li>
      <?php endif; ?>
    </ol>
  </div>
</div>
<?php echo mm_form_tag_end() ?>
